Bug 1220779 - Review Request: 7kaa - Seven Kingdoms: Ancient Adversaries
Summary: Review Request: 7kaa - Seven Kingdoms: Ancient Adversaries
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-12 12:30 UTC by Ding-Yi Chen
Modified: 2015-07-10 19:10 UTC (History)
3 users (show)

Fixed In Version: 7kaa-2.14.5-8.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-10 19:01:31 UTC
projects.rg: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ding-Yi Chen 2015-05-12 12:30:48 UTC
Spec URL: https://dchen.fedorapeople.org/files/rpms/7kaa.spec
SRPM URL: https://dchen.fedorapeople.org/files/rpms/7kaa-2.14.4-1.fc22.src.rpm
Description: 
Seven Kingdoms is a real-time strategy (RTS) computer game developed
by Trevor Chan of Enlight Software. The game enables players to
compete against up to six other kingdoms allowing players to conquer
opponents by defeating them in war (with troops or machines),
capturing their buildings with spies, or offering opponents money 
for their kingdom.

Seven Kingdoms: Ancient Adversaries is a free patch provided by
Interactive Magic and added three new cultures, the Egyptians, the
Mughals and the Zulus, and a new war machine, Unicorn. 


Fedora Account System Username: dchen

Comment 1 Raphael Groner 2015-05-25 10:51:32 UTC
Please remove the following lines (deprecated and/or not needed):
Group:   Amusements/Games
Requires: SDL, SDL_net, openal-soft
rm -rf %{buildroot}

> License: Redistributable, no modification permitted

Please ask Fedora Legal if you're allowed to package that music and all the other content.
https://fedoraproject.org/wiki/Packaging:Guidelines#Code_Vs_Content

What is missing from the open source version of the game
---------
* The original game music. The music is provided by 7kfans, but separately
  from the source tree. It is not under the GPL license, but it is free to
  download and use with 7KAA.
* The original game intro video. Support may be restored in future releases.
* Any other content from original game CDs, game manual, including the version
  2.12b game binary or older. This also includes the I*Magic Online service.

Comment 2 Ding-Yi Chen 2015-05-26 00:22:41 UTC
(In reply to Raphael Groner from comment #1)
> Please remove the following lines (deprecated and/or not needed):
> Group:   Amusements/Games
> Requires: SDL, SDL_net, openal-soft
> rm -rf %{buildroot}
> 
> > License: Redistributable, no modification permitted
> 
> Please ask Fedora Legal if you're allowed to package that music and all the
> other content.
> https://fedoraproject.org/wiki/Packaging:Guidelines#Code_Vs_Content
> 
> What is missing from the open source version of the game
> ---------
> * The original game music. The music is provided by 7kfans, but separately
>   from the source tree. It is not under the GPL license, but it is free to
>   download and use with 7KAA.
> * The original game intro video. Support may be restored in future releases.
> * Any other content from original game CDs, game manual, including the
> version
>   2.12b game binary or older. This also includes the I*Magic Online service.

I've sent mail for to fedora-legal-list, as soon as I got respond, I will repack and address your concern.

Comment 3 Ding-Yi Chen 2015-05-27 13:00:43 UTC
As legal team said, music does not have correct term.
Comment #2 also addressed.

Spec URL: https://dchen.fedorapeople.org/files/rpms/7kaa.spec
SRPM URL: https://dchen.fedorapeople.org/files/rpms/7kaa-2.14.4-2.fc22.src.rpm

Comment 4 Raphael Groner 2015-05-27 21:51:35 UTC
(In reply to Ding-Yi Chen from comment #3)
> As legal team said, music does not have correct term.

You could use autodownloader to request from user to download additional (but optional) content. Look at some other packaged games as samples how to do that.
https://admin.fedoraproject.org/pkgdb/package/autodownloader/

Description
autodownloader can prompt a user to download additional components and then do the actual download and install off these components. It is intended for software / content which cannot be included into rpms / debs because of licensing reasons.

Comment 5 Ding-Yi Chen 2015-05-31 14:01:24 UTC
Add command to execute downloader, and update to 7kaa-2.14.5


Spec URL: https://dchen.fedorapeople.org/files/rpms/7kaa.spec
SRPM URL: https://dchen.fedorapeople.org/files/rpms/7kaa-2.14.5-1.fc22.src.rpm

Comment 6 Raphael Groner 2015-05-31 14:45:20 UTC
Two more informal things to mention:

> Patch0: %{name}-formatSecurity.patch
Where do you have this patch from? Did you try to send it to upstream? If it can be found there, please provide a link, either directly the URL as value or another link in the comment.

Please remove the rm line from %install, you can move it to %clean. Note that this section is now redundant in Fedora and is only necessary for EPEL6.


I could do the official review. But as I am on vacation currently, this is going to happen not before in the next weeks.

Comment 7 Ding-Yi Chen 2015-06-01 04:01:52 UTC
(In reply to Raphael Groner from comment #6)
> Two more informal things to mention:
> 
> > Patch0: %{name}-formatSecurity.patch
> Where do you have this patch from? Did you try to send it to upstream? If it
> can be found there, please provide a link, either directly the URL as value
> or another link in the comment.

This patch is to fix the compile error when -Werror=format-security is on.
The bug report and the patch is at:
https://sourceforge.net/p/skfans/bugs/4/


> Please remove the rm line from %install, you can move it to %clean. Note
> that this section is now redundant in Fedora and is only necessary for EPEL6.

Done.

> I could do the official review. But as I am on vacation currently, this is
> going to happen not before in the next weeks.

It is OK for me.

Spec URL: https://dchen.fedorapeople.org/files/rpms/7kaa.spec
SRPM URL: https://dchen.fedorapeople.org/files/rpms/7kaa-2.14.5-2.fc22.src.rpm

Comment 8 Raphael Groner 2015-06-01 13:20:44 UTC
(In reply to Ding-Yi Chen from comment #7)
> (In reply to Raphael Groner from comment #6)
> > Two more informal things to mention:
> > 
> > > Patch0: %{name}-formatSecurity.patch
> > Where do you have this patch from? Did you try to send it to upstream? If it
> > can be found there, please provide a link, either directly the URL as value
> > or another link in the comment.
> 
> This patch is to fix the compile error when -Werror=format-security is on.
> The bug report and the patch is at:
> https://sourceforge.net/p/skfans/bugs/4/

Please use:
Patch0: http://sf.net/p/skfans/bugs/4/attachment/%{name}-formatSecurity.patch

Comment 10 Raphael Groner 2015-06-15 19:30:25 UTC
FTBFS:
checking for SDL... no
checking for sdl2-config... no
checking for SDL - version >= 2.0.0... no
*** The sdl2-config script installed by SDL could not be found
*** If SDL was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the SDL2_CONFIG environment variable to the
*** full path to sdl2-config.
configure: error: SDL not found

Use SDL2 instead of SDL:
BuildRequires: SDL2-devel, SDL2_net-devel

Comment 11 Ding-Yi Chen 2015-06-16 01:27:36 UTC
(In reply to Raphael Groner from comment #10)
Done

Spec URL: https://dchen.fedorapeople.org/files/rpms/7kaa.spec
SRPM URL: https://dchen.fedorapeople.org/files/rpms/7kaa-2.14.5-4.fc22.src.rpm

Comment 12 Raphael Groner 2015-06-16 20:36:00 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- gtk-update-icon-cache is invoked in %postun and %posttrans if package
  contains icons.
  Note: icons in 7kaa
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file COPYING is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

C/C++:
[x]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[?]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "GPL (v2 or later)", "GPL (v3 or
     later)", "Unknown or generated". 12 files have unknown license.
     Detailed output of licensecheck in /home/builder/fedora-
     review/1220779-7kaa/licensecheck.txt
=> At least, you have to use License: GPLv2+ and GPLv3+
=> Please try to get clarification about those files "Unknown or generated".
[?]: License file installed when any subpackage combination is installed.
=> No license file found. Please request upstream to include some valid license text:
https://www.gnu.org/licenses/gpl.txt
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/7kaa
=> Please fix.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/32x32/apps, /usr/share/7kaa,
     /usr/share/icons/hicolor/32x32, /usr/share/icons/hicolor
=> You have to add Requires: hicolor-icon-theme
[x]: %build honors applicable compiler flags or justifies otherwise.
[?]: Package contains no bundled libraries without FPC exception.
     Note: Especially check following dirs for bundled code: /home/builder
     /fedora-review/1220779-7kaa/upstream-
     unpacked/Source0/7kaa-2.14.5/include
[x]: Changelog in prescribed format.
[?]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in 7kaa-
     music
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
=> use of autodownloader and specific installation
[?]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define data_installer %{name
     }-data-installer, %define prj_music_dir %{_datadir}/%{name}/music
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 105103360 bytes in /usr/share
     7kaa-2.14.5-4.fc23.x86_64.rpm:105103360
     See:
     http://fedoraproject.org/wiki/Packaging:ReviewGuidelines#Package_Review_Guidelines
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: 7kaa-2.14.5-4.fc23.x86_64.rpm
          7kaa-music-2.14.5-4.fc23.noarch.rpm
          7kaa-2.14.5-4.fc23.src.rpm
7kaa.x86_64: W: no-manual-page-for-binary 7kaa
7kaa-music.noarch: W: no-documentation
7kaa-music.noarch: W: no-manual-page-for-binary 7kaa-data-installer
7kaa-music.noarch: W: dangerous-command-in-%postun rm
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (debuginfo)
-------------------
Checking: 7kaa-debuginfo-2.14.5-4.fc23.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------



Requires
--------
7kaa-music (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    7kaa
    autodownloader
    sudo

7kaa (rpmlib, GLIBC filtered):
    libSDL2-2.0.so.0()(64bit)
    libc.so.6()(64bit)
    libenet.so.7()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libopenal.so.1()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
7kaa-music:
    7kaa-music

7kaa:
    7kaa
    7kaa(x86-64)
    application()
    application(7kaa.desktop)



Source checksums
----------------
http://sourceforge.net/projects/skfans/files/7kaa-2.14.5.tar.xz :
  CHECKSUM(SHA256) this package     : c7f04fa640d324ed8f1523da49945acd0f1ee2a99e3ee82ee29b52d2f735e464
  CHECKSUM(SHA256) upstream package : c7f04fa640d324ed8f1523da49945acd0f1ee2a99e3ee82ee29b52d2f735e464


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1220779
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 14 Raphael Groner 2015-06-17 17:15:16 UTC
licensecheck.txt:

GPL (v2 or later)
-----------------
…

GPL (v3 or later)
-----------------
/home/builder/fedora-review/1220779-7kaa/upstream-unpacked/Source0/7kaa-2.14.5/include/gettext.h

Unknown or generated
--------------------
/home/builder/fedora-review/1220779-7kaa/upstream-unpacked/Source0/7kaa-2.14.5/include/OSE.h
/home/builder/fedora-review/1220779-7kaa/upstream-unpacked/Source0/7kaa-2.14.5/include/RESOURCE.h
/home/builder/fedora-review/1220779-7kaa/upstream-unpacked/Source0/7kaa-2.14.5/src/client/OHILLRES.cpp
/home/builder/fedora-review/1220779-7kaa/upstream-unpacked/Source0/7kaa-2.14.5/src/client/OPLANT.cpp
/home/builder/fedora-review/1220779-7kaa/upstream-unpacked/Source0/7kaa-2.14.5/src/client/ORACERES.cpp
/home/builder/fedora-review/1220779-7kaa/upstream-unpacked/Source0/7kaa-2.14.5/src/client/ORAWRES.cpp
/home/builder/fedora-review/1220779-7kaa/upstream-unpacked/Source0/7kaa-2.14.5/src/client/OTECHRES.cpp
/home/builder/fedora-review/1220779-7kaa/upstream-unpacked/Source0/7kaa-2.14.5/src/client/OTOWNRES.cpp
/home/builder/fedora-review/1220779-7kaa/upstream-unpacked/Source0/7kaa-2.14.5/src/client/OWALLRES.cpp
/home/builder/fedora-review/1220779-7kaa/upstream-unpacked/Source0/7kaa-2.14.5/src/imgfun/asm/ALL.inc
/home/builder/fedora-review/1220779-7kaa/upstream-unpacked/Source0/7kaa-2.14.5/src/imgfun/asm/COLCODE.inc
/home/builder/fedora-review/1220779-7kaa/upstream-unpacked/Source0/7kaa-2.14.5/src/imgfun/asm/IMGFUN.inc

Comment 15 Raphael Groner 2015-06-17 17:38:01 UTC
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/32x32/apps, /usr/share/7kaa,
     /usr/share/icons/hicolor/32x32, /usr/share/icons/hicolor
=> You have to add Requires: hicolor-icon-theme

I do not know why you install the converted icon under /usr/share/icons/hicolor folder. This folder and all of its subfolders are managed in the hicolor-icon-theme package, so you have to add it as a Require.
https://fedoraproject.org/wiki/Packaging:Guidelines#The_directory_is_also_owned_by_a_package_implementing_required_functionality_of_your_package

Alternative is to install the icon into /usr/share/pixmaps (legacy).
http://standards.freedesktop.org/icon-theme-spec/icon-theme-spec-latest.html#directory_layout

Comment 16 Ding-Yi Chen 2015-06-18 03:10:29 UTC
(In reply to Raphael Groner from comment #14)
> licensecheck.txt:
> 
> GPL (v2 or later)
> -----------------
> …
> 
> GPL (v3 or later)
> -----------------
> /home/builder/fedora-review/1220779-7kaa/upstream-unpacked/Source0/7kaa-2.14.
> 5/include/gettext.h

It looks like upstream grab gettext.h from gettext-0.19.4 then modify from there. See diff below. The others files looks like GPLv2.

I don't think upstream can change the license of gettext.h, how should I address this problem?


=== Begin diff
19a20,71
> /* Disable gettext if compiling with MSVC.  */
> #ifdef _MSC_VER
> 
> #include <stdarg.h>
> #include <stdio.h>
> 
> /* c99_snprintf and c99_vsnprintf implementations taken from:
>      http://stackoverflow.com/a/8712996  */
> #define snprintf c99_snprintf
> 
> inline
> int
> c99_vsnprintf (char *str, size_t size, const char *format, va_list ap)
> {
>   int count = -1;
> 
>   if (size != 0)
>     count = _vsnprintf_s(str, size, _TRUNCATE, format, ap);
>   if (count == -1)
>     count = _vscprintf(format, ap);
> 
>   return count;
> }
> 
> inline
> int
> c99_snprintf (char *str, size_t size, const char *format, ...)
> {
>   int count;
>   va_list ap;
> 
>   va_start(ap, format);
>   count = c99_vsnprintf(str, size, format, ap);
>   va_end(ap);
> 
>   return count;
> }
> 
> # undef gettext
> # define gettext(Msgid) ((const char *) (Msgid))
> # undef ngettext
> # define ngettext(Msgid1, Msgid2, N) \
>     ((N) == 1 \
>      ? ((void) (Msgid2), (const char *) (Msgid1)) \
>      : ((void) (Msgid1), (const char *) (Msgid2)))
> # undef pgettext
> # define pgettext(Msgctxt, Msgid) ((const char *) (Msgid))
> # define _(String) gettext (String)
> # define N_(String) (String)
> 
> #else
> 
108a161,164
> /* Additional keywords.  */
> #define _(String) gettext (String)
> #define N_(String) gettext_noop (String)
> 
285a342,343
> 
> #endif /* _MSC_VER */
=== End diff

Comment 17 Tom "spot" Callaway 2015-06-19 18:11:58 UTC
Point out the issue to upstream, noting that they may not wish to be GPLv3 because they chose to fork gettext.h. :) It's not a problem for Fedora, we're fine with the overall license being GPLv3.

Comment 18 Tom "spot" Callaway 2015-06-19 18:12:28 UTC
Also, with the music removed, there is no need for the FE-Legal tag.

Comment 19 Raphael Groner 2015-06-21 16:01:52 UTC
(In reply to Tom "spot" Callaway from comment #17)
> Point out the issue to upstream, noting that they may not wish to be GPLv3
> because they chose to fork gettext.h. :) It's not a problem for Fedora,
> we're fine with the overall license being GPLv3.

Currently, this is "License: GPLv2+". As there is one file with GPLv3, we must use "License: GPLv3+" or at least "License: GPLv3+ and GPLv2+".
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Mixed_Source_Licensing_Scenario

Please also fix what I write in comment #15.

All of them above are blockers. Sorry, I can not approve without fixed.

Comment 21 Raphael Groner 2015-06-23 18:54:11 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file COPYING is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or
     generated". 12 files have unknown license. Detailed output of
     licensecheck in /home/builder/fedora-
     review/1220779-7kaa/licensecheck.txt
=> Assume GPLv2+ for the unlicensed files. See legal discussion below.
[!]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
=> Okay, GPLv2+ at least
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/7kaa
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in 7kaa-data
=> Okay, done in data subpackage.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[!]: Package complies to the Packaging Guidelines
=> License is still not okay.
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[?]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in 7kaa-
     data
[!]: Package functions as described.
=> See attached rpmlint.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
=> I do not understand fully. But there are some rpmlint warnings that needs to be fixed.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.9 starting (python version = 3.4.2)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.9
INFO: Mock Version: 1.2.9
Finish: chroot init
INFO: installing package(s): /home/builder/fedora-review/1220779-7kaa/results/7kaa-2.14.5-6.fc23.x86_64.rpm /home/builder/fedora-review/1220779-7kaa/results/7kaa-data-2.14.5-6.fc23.noarch.rpm /home/builder/fedora-review/1220779-7kaa/results/7kaa-music-2.14.5-6.fc23.noarch.rpm /home/builder/fedora-review/1220779-7kaa/results/7kaa-debuginfo-2.14.5-6.fc23.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 23 install /home/builder/fedora-review/1220779-7kaa/results/7kaa-2.14.5-6.fc23.x86_64.rpm /home/builder/fedora-review/1220779-7kaa/results/7kaa-data-2.14.5-6.fc23.noarch.rpm /home/builder/fedora-review/1220779-7kaa/results/7kaa-music-2.14.5-6.fc23.noarch.rpm /home/builder/fedora-review/1220779-7kaa/results/7kaa-debuginfo-2.14.5-6.fc23.x86_64.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: 7kaa-2.14.5-6.fc23.x86_64.rpm
          7kaa-data-2.14.5-6.fc23.noarch.rpm
          7kaa-music-2.14.5-6.fc23.noarch.rpm
          7kaa-2.14.5-6.fc23.src.rpm
7kaa.x86_64: W: no-manual-page-for-binary 7kaa
=> Ignore.
7kaa-data.noarch: W: no-documentation
=> Ignore.
7kaa-data.noarch: W: desktopfile-without-binary /usr/share/applications/7kaa.desktop 7kaa
=> Error. Please fix.
7kaa-music.noarch: W: no-documentation
=> Ignore.
7kaa-music.noarch: W: no-manual-page-for-binary 7kaa-data-installer
=> Ignore.
7kaa-music.noarch: W: dangerous-command-in-%postun rm
=> Please check.
4 packages and 0 specfiles checked; 0 errors, 6 warnings.




Requires
--------
7kaa-data (rpmlib, GLIBC filtered):
    /bin/sh
    7kaa
    hicolor-icon-theme

7kaa (rpmlib, GLIBC filtered):
    7kaa-data(x86-64)
    libSDL2-2.0.so.0()(64bit)
    libc.so.6()(64bit)
    libenet.so.7()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libopenal.so.1()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

7kaa-music (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    7kaa(x86-64)
    autodownloader
    sudo



Provides
--------
7kaa-data:
    7kaa-data
    application()
    application(7kaa.desktop)

7kaa:
    7kaa
    7kaa(x86-64)

7kaa-music:
    7kaa-music



Source checksums
----------------
http://sourceforge.net/projects/skfans/files/7kaa-2.14.5.tar.xz :
  CHECKSUM(SHA256) this package     : c7f04fa640d324ed8f1523da49945acd0f1ee2a99e3ee82ee29b52d2f735e464
  CHECKSUM(SHA256) upstream package : c7f04fa640d324ed8f1523da49945acd0f1ee2a99e3ee82ee29b52d2f735e464


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1220779
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 22 Ding-Yi Chen 2015-06-24 08:36:50 UTC
Spec URL: https://dchen.fedorapeople.org/files/rpms/7kaa.spec
SRPM URL: https://dchen.fedorapeople.org/files/rpms/7kaa-2.14.5-7.fc22.src.rpm

> Issues:
> =======
> - Package installs properly.
>   Note: Installation errors (see attachment)
>   See: https://fedoraproject.org/wiki/Packaging:Guidelines
This is addressed.

> - If (and only if) the source package includes the text of the license(s)
>   in its own file, then that file, containing the text of the license(s)
>   for the package is included in %license.
>   Note: License file COPYING is marked as %doc instead of %license
>   See:
>   http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

In spec now:
License:  GPLv3+ and GPLv2+ 

> Rpmlint
> -------
> Checking: 7kaa-2.14.5-6.fc23.x86_64.rpm
>           7kaa-data-2.14.5-6.fc23.noarch.rpm
>           7kaa-music-2.14.5-6.fc23.noarch.rpm
>           7kaa-2.14.5-6.fc23.src.rpm
> 7kaa-data.noarch: W: desktopfile-without-binary
> /usr/share/applications/7kaa.desktop 7kaa
> => Error. Please fix.

Fixed.

> 7kaa-music.noarch: W: dangerous-command-in-%postun rm
> => Please check.

After they run 7kaa-data-downloader, there will be music files.
This is actually for removing those music file.

Comment 23 Raphael Groner 2015-06-24 11:25:06 UTC
APPROVED


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file COPYING is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
=> ignore.

===== MUST items =====

C/C++:
[-]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
=> ignore. I do not understand this, maybe due to python exception (see below).
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "GPL (v2 or later)", "GPL (v3 or
     later)", "Unknown or generated". 12 files have unknown license.
     Detailed output of licensecheck in /home/builder/fedora-
     review/1220779-7kaa/licensecheck.txt
=> ok. see below.
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
=> GPL
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
     Note: Especially check following dirs for bundled code: /home/builder
     /fedora-review/1220779-7kaa/upstream-
     unpacked/Source0/7kaa-2.14.5/include
=> Discussed with Legal and okay.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[?]: Package consistently uses macros (instead of hard-coded directory
     names).
=> see below for embedded deskto file.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in 7kaa-data
=> okay.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in 7kaa-
     data , 7kaa-music
=> okay but consider to insert %{?_isa}
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: 7kaa-2.14.5-7.fc23.x86_64.rpm
          7kaa-data-2.14.5-7.fc23.noarch.rpm
          7kaa-music-2.14.5-7.fc23.noarch.rpm
          7kaa-2.14.5-7.fc23.src.rpm
7kaa.x86_64: W: no-manual-page-for-binary 7kaa
7kaa-data.noarch: W: no-documentation
7kaa-music.noarch: W: no-documentation
7kaa-music.noarch: W: no-manual-page-for-binary 7kaa-data-installer
7kaa-music.noarch: W: dangerous-command-in-%postun rm
4 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (debuginfo)
-------------------
Checking: 7kaa-debuginfo-2.14.5-7.fc23.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
INFO: mock.py version 1.2.9 starting (python version = 3.4.2)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.9
INFO: Mock Version: 1.2.9
Traceback (most recent call last):
  File "/usr/sbin/mock", line 831, in <module>
    main()
  File "/usr/lib/python3.4/site-packages/mockbuild/trace_decorator.py", line 84, in trace
    result = func(*args, **kw)
  File "/usr/sbin/mock", line 653, in main
    run_command(options, args, config_opts, commands, buildroot, state)
  File "/usr/lib/python3.4/site-packages/mockbuild/trace_decorator.py", line 84, in trace
    result = func(*args, **kw)
  File "/usr/sbin/mock", line 708, in run_command
    commands.init()
  File "/usr/lib/python3.4/site-packages/mockbuild/trace_decorator.py", line 84, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.4/site-packages/mockbuild/backend.py", line 123, in init
    self.buildroot.initialize(**kwargs)
  File "/usr/lib/python3.4/site-packages/mockbuild/trace_decorator.py", line 84, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.4/site-packages/mockbuild/buildroot.py", line 84, in initialize
    self._init(prebuild=prebuild, do_log=do_log)
  File "/usr/lib/python3.4/site-packages/mockbuild/trace_decorator.py", line 84, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.4/site-packages/mockbuild/buildroot.py", line 128, in _init
    self._setup_devices()
  File "/usr/lib/python3.4/site-packages/mockbuild/trace_decorator.py", line 84, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.4/site-packages/mockbuild/buildroot.py", line 442, in _setup_devices
    os.symlink("/proc/self/mounts", self.make_chroot_path('etc', 'mtab'))
FileExistsError: [Errno 17] File exists: '/proc/self/mounts' -> '/var/lib/mock/fedora-rawhide-x86_64/root/etc/mtab'



Requires
--------
7kaa-data (rpmlib, GLIBC filtered):
    /bin/sh
    7kaa
    hicolor-icon-theme

7kaa (rpmlib, GLIBC filtered):
    7kaa-data
    libSDL2-2.0.so.0()(64bit)
    libc.so.6()(64bit)
    libenet.so.7()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libopenal.so.1()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

7kaa-music (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    7kaa-data
    autodownloader
    sudo



Provides
--------
7kaa-data:
    7kaa-data

7kaa:
    7kaa
    7kaa(x86-64)
    application()
    application(7kaa.desktop)

7kaa-music:
    7kaa-music



Source checksums
----------------
http://sourceforge.net/projects/skfans/files/7kaa-2.14.5.tar.xz :
  CHECKSUM(SHA256) this package     : c7f04fa640d324ed8f1523da49945acd0f1ee2a99e3ee82ee29b52d2f735e464
  CHECKSUM(SHA256) upstream package : c7f04fa640d324ed8f1523da49945acd0f1ee2a99e3ee82ee29b52d2f735e464


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1220779
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 24 Raphael Groner 2015-06-24 11:26:09 UTC
Please add me as co-maintainer (InitialCC in Package Request).

Are you interested in a review swap? Thanks.

Comment 25 Raphael Groner 2015-06-24 11:29:47 UTC
> [?]: Package consistently uses macros (instead of hard-coded directory
>      names).
> => see below for embedded desktop file.
You should use macros in the embedded desktop file, too:
cat>%{name}.desktop<<END
[Desktop Entry]
Name=%{name}
GenericName=%{summary}
Comment=A real-time strategy (RTS) computer game
Exec=%{_bindir}/%{name}
Icon=%{name}_icon
Terminal=false
Type=Application
Categories=Game;StrategyGame
END

Comment 26 Ding-Yi Chen 2015-06-25 01:03:48 UTC
New Package SCM Request
=======================
Package Name: 7kaa
Short Description: Seven Kingdoms Ancient Adversaries is a real-time strategy (RTS) computer game
Upstream URL:  http://7kfans.com/
Owners: dchen
Branches: f21 f22 
InitialCC: raphgro

Comment 27 Gwyn Ciesla 2015-06-25 14:20:05 UTC
Git done (by process-git-requests).

Comment 28 Fedora Update System 2015-06-26 21:49:12 UTC
7kaa-2.14.5-8.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/7kaa-2.14.5-8.fc21

Comment 29 Fedora Update System 2015-06-26 21:49:20 UTC
7kaa-2.14.5-8.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/7kaa-2.14.5-8.fc22

Comment 30 Fedora Update System 2015-06-27 12:40:43 UTC
Package 7kaa-2.14.5-8.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing 7kaa-2.14.5-8.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10823/7kaa-2.14.5-8.fc22
then log in and leave karma (feedback).

Comment 31 Fedora Update System 2015-07-10 19:01:31 UTC
7kaa-2.14.5-8.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2015-07-10 19:10:14 UTC
7kaa-2.14.5-8.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.